define([
         "jquery",
         "lib/util/classUtils",
         "lib/util/IsEventSupported",
         "lib/TweenMax.min",
          "lib/loader",
          "CargoChaos/CaChGame",
           "CargoChaos/Audio"
         ],
         function($, classUtils, IsEventSupported,TweenMax, Loader, CaChGame, Audio) {
	"use strict";
	return classUtils.create({
		imagesArray:null,
		 imagesToLoad: new Array(),
		 audio: new Audio(),
		init:function(){
			this.preload();
		},
		preload:function() {
		var that = this;
            that.imagesArray = {      
            	 			0: 'images/cargochaos.png',
							1: 'images/game_background.jpg',
							2: 'images/game_complete.jpg',
							3: 'images/game_title.jpg',
							4: 'images/green_off.png',
							5: 'images/green_on.png',
							6: 'images/helpScreen.jpg',
							7: 'images/red_off.png',
							8: 'images/yellow_off.png',
							9: 'images/red_on.png',
							10: 'images/yellow_on.png'
					};
					$.each(that.imagesArray, function(key, value){
					that.imagesToLoad.push(value);
				});
						that.audio.initSoundSprite();				
						Loader.get(that.imagesToLoad, {each:on_update,all:on_done});
				
				function on_update(data){
				}
				
				function on_done(){
					$('#preload-div').fadeOut();
					new CaChGame()
				}
	}
	});
});
