define([
         "jquery",
         "lib/util/classUtils"
         
         ],
         function($, classUtils) {
	
	"use strict";
	
	return classUtils.create({
		
		background:null,
		level:null,
		game:null,
		timeup:null,
		
		init: function(){
			this.background = $('<div>').attr('id', 'cach_background');
			this.background.css({
				'position':'absolute',
				'width': '108.47%', 
				'height': '29.98%',
				'top': '30%',
				'left': '0%',
				'z-index':'60000',
				'background-image': 'url(images/cargochaos.png)',
				'background-size': '100.84% 1035.26%',
				'background-repeat': 'no-repeat',
				'background-position': '0% 0%'
				});
			$('#cach_holder').append(this.background);
			this.level = $('<div>').attr('id', 'cach_level');
			this.level.css({
				'position':'absolute',
				'width': '45.23%', 
				'height': '25.48%',
				'top': '30%',
				'left': '42%',
				'z-index':'60001',
				'background-image': 'url(images/cargochaos.png)',
				'background-size': '222.95% 1218.37%',
				'background-repeat': 'no-repeat',
				});
			$('#cach_holder').append(this.level);
			this.level.hide();
			this.background.hide();
		},
		show: function(_level,_game,_timeup){
			this.timeup =_timeup;
			var that = this;
			this.game = _game;
			this.level.show();
			this.background.show();
			if(that.timeup ==='true'){
				this.background.css('background-position', '0% 11.3%');
				this.level.css('background-position', '0% 41.6%');
			}else{
				this.background.css('background-position', '0% 0%');
				if(_level===1)
				this.level.css('background-position', '0% 79%');
				if(_level===2)
				this.level.css('background-position', '100% 77%');
				if(_level===3)
				this.level.css('background-position', '0% 69.7%');
				if(_level===4)
				this.level.css('background-position', '0% 60.4%');
				if(_level===5)
				this.level.css('background-position', '0% 50.7%');;
			}
			TweenMax.to(this.level,0.3,{startAt:{left:-38.77+'%'},css:{left:30+'%'}});
			TweenMax.to(this.level,0.3,{css:{left:138.77+'%'},delay:2});
			TweenMax.to(this.background,0.7,{startAt:{alpha:0},css:{alpha:1}});
			TweenMax.to(this.background,0.3,{css:{alpha:0},delay:2,onComplete:function(){
				that.hide();
				if(that.timeup ==='true')
					that.game.playAgain.show();
				// else
					// //that.game.goToNextLevel();
				}});
		},
		hide: function(){
			this.level.hide();
			this.background.hide();
		}
	
	});
	
});