define([
         "jquery",
         "lib/util/classUtils"         ],
         function($, classUtils) {
	"use strict";
	return classUtils.create({
		is_mobile: !!(/Android|webOS|iPhone|iPad|iPod|BlackBerry|Kindle/i.test(navigator.userAgent) || (/Android|webOS|iPhone|iPad|iPod|BlackBerry|Kindle/i.test(navigator.platform))),
		currentLevel:0,
		numberOfLevels:4,
		levelContainersArray:null,
		levelItemsArray:null,
		levelVariety:null,
		game_times:null,
		has_bucket_disruptors:null,
		game:null,
			init: function(_game){
				this.game = _game;
				 if (this.is_mobile) {
						 this.levelContainersArray = ["3","3","4","4","4"];
						this.levelItemsArray = ["3","4","6","8","12"];//["2","3","7","16","18"];
						this.levelVariety = ["3","3","3","4","4"];
						this.game_times=[15,15,20,25,25];
						this.has_bucket_disruptors =[false, false, false,true, true];
						 
				 }else if (window.sb_ie){  
						 this.levelContainersArray = ["3","3","4","4","4"];
						this.levelItemsArray = ["3","4","6","8","12"];//["2","3","7","16","18"];
						this.levelVariety = ["3","3","3","4","4"];
						this.game_times=[15,15,20,25,25];
						this.has_bucket_disruptors =[false, false, false,true, true];
				
				 }else{
				
					    this.levelContainersArray = ["3","3","4","4","4"];
						this.levelItemsArray = ["3","4","6","8","12"];//["2","3","7","16","18"];
						this.levelVariety = ["3","3","3","4","4"];
						this.game_times=[20,20,25,30,30];
						this.has_bucket_disruptors =[false, false, false,true, true];
				 }
			},
			checkComplete: function(amount){
			},
			getLevel: function(){
				return this.currentLevel;
			}
	});
});