define([
         "jquery",
         "lib/util/classUtils",
         "lib/util/IsEventSupported",
         "lib/TweenMax.min"
     
         ],
         function($, classUtils,IsEventSupported,TweenMax) {
	
	"use strict";
	return classUtils.create({
		rock_left:null,
		rock_middle:null,
		rock_right:null,
		tree_right:null,
		tree_left:null,
		init: function(_game){
			this.rock_left = $('<div>').attr('id', 'cach_rock_left');
			this.rock_left.css({
				'position':'absolute',
				'width': '12.92%', 
				'height': '8.84%',
				'top': '87%',
				'left': '1%',
				'z-index':'10001',
				'background-image': 'url(images/cargochaos.png)',
				'background-repeat': 'no-repeat',
				'background-size': '780.33% 3511.76%',
				'background-position': '96% 54.2%'
				});
			$('#cach_holder').append(this.rock_left);
			this.rock_middle = $('<div>').attr('id', 'cach_rock_middle');
			this.rock_middle.css({
				'position':'absolute',
				'width': '17.80%', 
				'height': '13.86%',
				'top': '85%',
				'left': '38%',
				'z-index':'10001',
				'background-image': 'url(images/cargochaos.png)',
				'background-repeat': 'no-repeat',
				'background-size': '566.67% 2238.75%',
				'background-position': '61% 92.7%'
				});
			$('#cach_holder').append(this.rock_middle);
			this.rock_right = $('<div>').attr('id', 'cach_rock_right');
			this.rock_right.css({
				'position':'absolute',
				'width': '20.34%', 
				'height': '10.22%',
				'top': '87%',
				'left': '79%',
				'z-index':'10001',
				'background-image': 'url(images/cargochaos.png)',
				'background-repeat': 'no-repeat',
				'background-size': '495.83% 3035.59%',
				'background-position': '80% 53.5%'
				});
			$('#cach_holder').append(this.rock_right);
			this.tree_left = $('<div>').attr('id', 'cach_tree_left');
			this.tree_left.css({
				'position':'absolute',
				'width': '32.94%', 
				'height': '53.73%',
				'top': '7%',
				'left': '-5%',
				'z-index':'9999',
				'background-image': 'url(images/cargochaos.png)',
				'background-repeat': 'no-repeat',
				'background-size': '306.11% 577.74%',
				'background-position': '96% 24.2%'
				});
			$('#cach_holder').append(this.tree_left);
			this.tree_right = $('<div>').attr('id', 'cach_tree_right');
			this.tree_right.css({
				'position':'absolute',
				'width': '22.14%', 
				'height': '41.77%',
				'top': '17%',
				'left': '79%',
				// 'z-index':'10001',
				'background-image': 'url(images/cargochaos.png)',
				'background-repeat': 'no-repeat',
				'background-size': '455.50% 743.15%',
				'background-position': '80% 43.7%'
				});
			$('#cach_holder').append(this.tree_right);
		},
		hide:function(){
			this.rock_left.hide();
			this.rock_right.hide();
			this.rock_middle.hide();
			this.tree_left.hide();
			this.tree_right.hide();
		},
		show:function(){
			this.rock_left.show();
			this.rock_right.show();
			this.rock_middle.show();
			this.tree_left.show();
			this.tree_right.show();
		}
	})
	})